package com.cool.store.service.config;

import com.cool.store.context.LoginUserInfo;
import com.cool.store.request.config.ConfigItemCategoryQueryRequest;
import com.cool.store.request.config.ConfigItemCategoryUpdateRequest;
import com.cool.store.vo.config.ConfigItemCategoryVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ConfigItemCategoryService {

    Boolean add(ConfigItemCategoryUpdateRequest request, LoginUserInfo userInfo);

    Boolean update(ConfigItemCategoryUpdateRequest request,LoginUserInfo userInfo);

    PageInfo<ConfigItemCategoryVO> queryPage(ConfigItemCategoryQueryRequest request);

    Boolean deleteByIds(List<Long> ids);
}
